SystemOrganization addCategory: #'Seaside-Tests-Pharo-Security'!

!GRPackage class methodsFor: '*seaside-tests-pharo-security' stamp: 'pmm 8/1/2014 17:02'!
seasideTestsPharoSecurity
	^ self new
		name: 'Seaside-Tests-Pharo-Security';
		addDependency: 'Seaside-Pharo-Security';
		addDependency: 'Seaside-Tests-Security';
		url: #seasideUrl;
		yourself! !

TestCase subclass: #WASecureKeyGeneratorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Pharo-Security'!

!WASecureKeyGeneratorTest methodsFor: 'private' stamp: 'pmm 8/1/2014 08:36'!
runGeneratorTest
	WAKeyGeneratorTest new testUnique! !

!WASecureKeyGeneratorTest methodsFor: 'testing' stamp: 'pmm 8/1/2014 08:33'!
testInstallation
	self assert: WASecureKeyGenerator canSeed.
	self assert: (WAKeyGenerator current isKindOf: WASecureKeyGenerator)! !

!WASecureKeyGeneratorTest methodsFor: 'testing' stamp: 'pmm 8/1/2014 08:39'!
testSha1
	[ WASecureKeyGenerator beFortuna.
	self runGeneratorTest ]
		ensure: [ WASecureKeyGenerator beSha1 ]! !
